#include <llodctor/llodctor_pe.hpp>

void llo::s1::dctor_pe_t::generate( lloiff_t &iff )
{
    // lift section information to iff...
    for ( auto idx = 0u; idx < section_count; ++idx )
    {
        iff.sections.push_back( { std::string( sections[ idx ].name.to_string() ),
                                  { img.data(), img.data() + sections[ idx ].ptr_raw_data } } );

        // TODO... more information probably can be lifted/added...
    }

    // run symbol loader pass... this could be pdb, map, etc...
    if ( symbol_loader )
        symbol_loader->load( iff );
}
